Loading...
Searching...
No Matches
coap_asn1.c File Reference

CoAP specific ASN.1 handling. More...

`#include "coap3/coap_libcoap_build.h"`
Include dependency graph for coap_asn1.c:

Go to the source code of this file.

## Functions

size_t | asn1_len (const uint8_t **ptr)
| Get the asn1 length from the current `ptr`.
coap_asn1_tag_t | asn1_tag_c (const uint8_t **ptr, int *constructed, int *cls)
| Get the asn1 tag from the current `ptr`.
coap_binary_t * | get_asn1_tag (coap_asn1_tag_t ltag, const uint8_t *ptr, size_t tlen, asn1_validate validate)
| Get the asn1 tag and data from the current `ptr`.
coap_binary_t * | get_asn1_spki (const uint8_t *data, size_t size)
| Abstract SPKI public key from the ASN1.

## Variables

static const unsigned char | cert_asn1_header1 []
static const unsigned char | cert_asn1_header2 []

## Detailed Description

CoAP specific ASN.1 handling.

Definition in file coap_asn1.c.

## Variable Documentation

## cert_asn1_header1

const unsigned char cert_asn1_header1[]

static

Initial value:
= {
0x30, 0x59,
0x30, 0x13,
0x06, 0x07,
0x2A, 0x86, 0x48, 0xCE, 0x3D, 0x02, 0x01,
}

Definition at line 105 of file coap_asn1.c.

## cert_asn1_header2

const unsigned char cert_asn1_header2[]

static

Initial value:
= {
0x03, 0x42,
}

Definition at line 116 of file coap_asn1.c.